> # NAME

> cgGLGetParameter2f - get the values from a scalar or vector parameter

> # SYNOPSIS

>       #include <Cg/cgGL.h>

>       void cgGLGetParameter2f( CGparameter param,
>                                float * v );

> # PARAMETERS

> param

>   The parameter from which the values will be retrieved.

> v

>   Destination buffer into which the values will be written.

> # RETURN VALUES

> None.

> # DESCRIPTION

> cgGLGetParameter2f extracts parameter values set by the cgGLSetParameter functions.

> cgGLGetParameter2f may only be called with uniform numeric parameters.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> # HISTORY

> cgGLGetParameter2f was introduced in Cg 1.1.

> # SEE ALSO

> cgGLSetParameter, cgGLGetParameterArray